[package]
name = "typegen"
version = "0.1.0"
edition = "2024"

[dependencies]
heck = "0.5.0"
indexmap = { version = "2.12.0", features = ["serde"] }
prettyplease = "0.2.37"
proc-macro2 = "1.0.103"
quote = "1.0.41"
serde = { version = "1.0.228", features = ["derive"] }
serde_json = "1.0.145"
syn = { version = "2.0.108", features = ["extra-traits", "full", "parsing"] }
